<?php

namespace \Losc\CucmBundle\Model\Webservice\StructType;

use \WsdlToPhp\PackageBase\AbstractStructBase;

/**
 * This class stands for LSoftKeyTemplate StructType
 * @subpackage Structs
 */
class LSoftKeyTemplate extends AbstractStructBase
{
    /**
     * The name
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 100
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $name;
    /**
     * The description
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - maxLength: 100
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var string
     */
    public $description;
    /**
     * The baseSoftkeyTemplateName
     * Meta information extracted from the WSDL
     * - maxOccurs: 1
     * - minOccurs: 0
     * @var \\Losc\CucmBundle\Model\Webservice\StructType\XFkType
     */
    public $baseSoftkeyTemplateName;
    /**
     * The uuid
     * Meta information extracted from the WSDL
     * - base: xsd:string
     * - pattern: \{........-....-....-....-............\}
     * @var string
     */
    public $uuid;
    /**
     * Constructor method for LSoftKeyTemplate
     * @uses LSoftKeyTemplate::setName()
     * @uses LSoftKeyTemplate::setDescription()
     * @uses LSoftKeyTemplate::setBaseSoftkeyTemplateName()
     * @uses LSoftKeyTemplate::setUuid()
     * @param string $name
     * @param string $description
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $baseSoftkeyTemplateName
     * @param string $uuid
     */
    public function __construct($name = null, $description = null, \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $baseSoftkeyTemplateName = null, $uuid = null)
    {
        $this
            ->setName($name)
            ->setDescription($description)
            ->setBaseSoftkeyTemplateName($baseSoftkeyTemplateName)
            ->setUuid($uuid);
    }
    /**
     * Get name value
     * @return string|null
     */
    public function getName()
    {
        return $this->name;
    }
    /**
     * Set name value
     * @param string $name
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSoftKeyTemplate
     */
    public function setName($name = null)
    {
        $this->name = $name;
        return $this;
    }
    /**
     * Get description value
     * @return string|null
     */
    public function getDescription()
    {
        return $this->description;
    }
    /**
     * Set description value
     * @param string $description
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSoftKeyTemplate
     */
    public function setDescription($description = null)
    {
        $this->description = $description;
        return $this;
    }
    /**
     * Get baseSoftkeyTemplateName value
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\XFkType|null
     */
    public function getBaseSoftkeyTemplateName()
    {
        return $this->baseSoftkeyTemplateName;
    }
    /**
     * Set baseSoftkeyTemplateName value
     * @param \\Losc\CucmBundle\Model\Webservice\StructType\XFkType $baseSoftkeyTemplateName
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSoftKeyTemplate
     */
    public function setBaseSoftkeyTemplateName(\\Losc\CucmBundle\Model\Webservice\StructType\XFkType $baseSoftkeyTemplateName = null)
    {
        $this->baseSoftkeyTemplateName = $baseSoftkeyTemplateName;
        return $this;
    }
    /**
     * Get uuid value
     * @return string|null
     */
    public function getUuid()
    {
        return $this->uuid;
    }
    /**
     * Set uuid value
     * @param string $uuid
     * @return \\Losc\CucmBundle\Model\Webservice\StructType\LSoftKeyTemplate
     */
    public function setUuid($uuid = null)
    {
        $this->uuid = $uuid;
        return $this;
    }
}
